<div class="app flex-row align-items-center">
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-md-8 mx-auto">
        <div class="card-group">
          <div class="card p-4">
            <div class="card-body">
              <form
                class="form"
                role="form"
                [formGroup]="loginForm"
                (ngSubmit)="login()"
              >
                <!-- <h1>{{ "login.Login" | translate }}</h1> -->
                <h1>Bkav WAF Enterprise</h1>
                <p class="text-muted">Sign In to your account</p>
                <div class="mb-3">
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text"
                        ><i class="icon-user"></i
                      ></span>
                    </div>
                    <input
                      id="username"
                      name="username"
                      type="text"
                      class="form-control"
                      placeholder="Username"
                      formControlName="username"
                      autocomplete="username"
                      required
                    />
                  </div>
                  <span
                    class="text-danger"
                    *ngIf="
                      loginForm.get('username').touched &&
                      loginForm.get('username').invalid
                    "
                    >{{ "error.validate.input_required" | translate }}</span
                  >
                </div>
                <div class="mb-3">
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text"
                        ><i class="icon-lock"></i
                      ></span>
                    </div>
                    <input
                      id="password"
                      name="password"
                      type="password"
                      class="form-control"
                      placeholder="Password"
                      formControlName="password"
                      autocomplete="current-password"
                      required
                    />
                  </div>
                  <span
                    class="text-danger"
                    *ngIf="
                      loginForm.get('password').touched &&
                      loginForm.get('password').invalid
                    "
                    >{{ "error.validate.input_required" | translate }}</span
                  >
                </div>
                <div class="mb-3" *ngIf="checkOTP">
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text"
                        ><i class="icon-screen-smartphone"></i
                      ></span>
                    </div>
                    <input
                      id="OTP"
                      name="OTP"
                      type="text"
                      class="form-control"
                      placeholder="OTP"
                      formControlName="OTP"
                      autocomplete="OTP"
                      required
                    />
                  </div>
                  <span
                    class="text-danger"
                    *ngIf="
                      loginForm.get('OTP').touched &&
                      loginForm.get('OTP').invalid
                    "
                    >{{ "error.validate.input_required" | translate }}</span
                  >
                </div>
                <div class="row">
                  <div class="col-6">
                    <button
                      type="submit"
                      class="btn btn-primary px-4"
                      [disabled]="loginForm.invalid"
                    >
                      Login
                    </button>
                  </div>
                  <div class="col-6 text-right">
                    <button
                      type="button"
                      class="btn btn-link px-0"
                      (click)="requestResetPassword()"
                    >
                      Forgot password?
                    </button>
                  </div>
                </div>
              </form>
            </div>
          </div>
          <!--          <div class="card text-white bg-primary py-5 d-md-down-none" style="width:44%">-->
          <!--            <div class="card-body text-center">-->
          <!--              <div>-->
          <!--                <h2>Sign up</h2>-->
          <!--                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut-->
          <!--                  labore et dolore magna aliqua.</p>-->
          <!--              </div>-->
          <!--            </div>-->
          <!--          </div>-->
        </div>
      </div>
    </div>
  </div>
</div>
